> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mayar.id/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.mayar.id/_mintlify/feedback/mayar/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# Get Detail Single Payment Request

> Endpoint used to view details of single payment request that have been created

<RequestExample>
  ```bash Request Example theme={null}
  curl --request GET 'https://api.mayar.id/hl/v1/payment/e890d24a-cfc0-4915-83d2-3166b9ffba9e' \
  --header 'Authorization: Bearer Paste-Your-API-Key-Here' \
  --data ''
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example 200 theme={null}
  {
      "statusCode": 200,
      "messages": "success",
      "data": {
          "id": "e890d24a-cfc0-4915-83d2-3166b9ffba9e",
          "link": "ohsjrd3wko",
          "name": "Azumii",
          "category": null,
          "limit": null,
          "type": "payment_request",
          "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
          "event": null,
          "order": null,
          "qty": null,
          "amount": 100000,
          "status": "unpaid",
          "description": "Ubah ReqPayment",
          "coverImageId": null,
          "multipleImageId": null,
          "coverImage": null,
          "multipleImage": null
      }
  }
  ```
</ResponseExample>

Endpoint:

<CodeGroup>
  ```Production Production theme={null}
  https://api.mayar.id/hl/v1/payment/{id}
  ```

  ```Sandbox Sandbox theme={null}
  https://api.mayar.club/hl/v1/payment/{id}
  ```
</CodeGroup>

## Authorization

<ResponseField name="Authorization" type="string" required>
  Example:

  `Authorization | Bearer Paste-Your-API-Key-Here`
</ResponseField>

## Path Parameter

<ParamField path="id" type="string" required>
  A unique identifier obtained when creating an single request payment. If accessed through the dashboard, it can be found at the URL on the request payment details page.

  Example:

  `e890d24a-cfc0-4915-83d2-3166b9ffba9e`
</ParamField>

## Response

Successful Response

### Main Structure (Root)

<ResponseField name="statusCode" type="integer" required>
  Status code form API.
</ResponseField>

<ResponseField name="messages" type="string" required>
  Status message that describes the status code.
</ResponseField>

<ResponseField name="data" type="array of object">
  List of products displayed.
</ResponseField>

### data Structure (Array Of Object)

<ResponseField name="id" type="string<uuid>" required>
  Unique request payment ID.
</ResponseField>

<ResponseField name="link" type="string" required>
  Product slug/short URL.
</ResponseField>

<ResponseField name="name" type="string" required>
  Product name.
</ResponseField>

<ResponseField name="category" type="string | null" required>
  Product category, can be null if there is no category.
</ResponseField>

<ResponseField name="limit" type="number | null" required>
  Certain amount limit, can be null.
</ResponseField>

<ResponseField name="type" type="string" required>
  Product type.
</ResponseField>

<ResponseField name="userId" type="string<uuid>" required>
  Unique ID of the user making the request.
</ResponseField>

<ResponseField name="event" type="object | null" required>
  Related event data, can be null.
</ResponseField>

<ResponseField name="order" type="object | null" required>
  Related order data, can be null.
</ResponseField>

<ResponseField name="qty" type="string | null" required>
  Quantity (if the request relates to specific goods/services).
</ResponseField>

<ResponseField name="amount" type="integer" required={false}>
  Product price or nominal value.
</ResponseField>

<ResponseField name="status" type="string" required>
  Product status.
</ResponseField>

<ResponseField name="description" type="string" required>
  Product description.
</ResponseField>

<ResponseField name="coverImageId" type="string | null" required>
  ID cover image, can be null.
</ResponseField>

<ResponseField name="multipleImageId" type="string | null" required>
  ID for multiple image group. can be null.
</ResponseField>

<ResponseField name="coverImage" type="object | null" required>
  Cover image data, can be null.
</ResponseField>

<ResponseField name="multimpleImage" type="array of object">
  List of additional images for the product.
</ResponseField>


Built with [Mintlify](https://mintlify.com).